Subject: bug#76275: 31.0.50; frame-inhibit-implied-resize broken on recent master

From: Sean Whitton <[email-masked]>
Date: Wed, 19 Feb 2025 17:42:32 +0800

Hello,

On Wed 19 Feb 2025 at 10:19am +01, martin rudalics via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

>> Actually, your patch is even better than that.
>> The following works as expected, now:
> [...]
>> The reason that this is better for me is that my spw/scale-default is
>> just a dummy reproducer.  My actual window-size-change-functions entry
>> is more complicated, and long predates spw/sway-completing-read.
>> I've included it at the bottom of this message
>
> Note one caveat from the Elisp manual:
>
>    • Window change functions should not create or delete windows or
>      change the buffer, size or selection status of any window because
>      there is no guarantee that the information about such a change will
>      be propagated to other window change functions.  If at all, any
>      such change should be executed only by the last function listed by
>      the default value of ‘window-state-change-hook’.

Hmm, does changing the height of a face always count as changing the size?

>> It would be okay if I just had to call my window-size-change-functions
>> entry from spw/sway-completing-read.  I am not myself in a position to
>> judge whether having a `force' entry makes sense.  If you think it does,
>> then that's fine.
>
> So IIUC installing the 'force' entry fixes your bug.  Right?

Yes.

-- 
Sean Whitton